cc.funkemunky.api.config.system

## Class ConfigurationProvider

- java.lang.Object
- - cc.funkemunky.api.config.system.ConfigurationProvider

Direct Known Subclasses:
  YamlConfiguration

    public abstract class ConfigurationProvider
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationProvider()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static ConfigurationProvider` `getProvider(java.lang.Class<? extends ConfigurationProvider> provider)`
`abstract Configuration` `load(java.io.File file)`
`abstract Configuration` `load(java.io.File file, Configuration defaults)`
`abstract Configuration` `load(java.io.InputStream is)`
`abstract Configuration` `load(java.io.InputStream is, Configuration defaults)`
`abstract Configuration` `load(java.io.Reader reader)`
`abstract Configuration` `load(java.io.Reader reader, Configuration defaults)`
`abstract Configuration` `load(java.lang.String string)`
`abstract Configuration` `load(java.lang.String string, Configuration defaults)`
`abstract void` `save(Configuration config, java.io.File file)`
`abstract void` `save(Configuration config, java.io.Writer writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationProvider

    public ConfigurationProvider()

### Method Detail

#### getProvider

    public static ConfigurationProvider getProvider(java.lang.Class<? extends ConfigurationProvider> provider)

#### save

    public abstract void save(Configuration config,
                              java.io.File file)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### save

    public abstract void save(Configuration config,
                              java.io.Writer writer)

#### load

    public abstract Configuration load(java.io.File file)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### load

    public abstract Configuration load(java.io.File file,
                                       Configuration defaults)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### load

    public abstract Configuration load(java.io.Reader reader)

#### load

    public abstract Configuration load(java.io.Reader reader,
                                       Configuration defaults)

#### load

    public abstract Configuration load(java.io.InputStream is)

#### load

    public abstract Configuration load(java.io.InputStream is,
                                       Configuration defaults)

#### load

    public abstract Configuration load(java.lang.String string)

#### load

    public abstract Configuration load(java.lang.String string,
                                       Configuration defaults)